# vim:ff=unix ts=2 sw=2 ai expandtab
---
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.2.3
    hooks:
      - id: check-added-large-files
      - id: check-executables-have-shebangs
      - id: check-merge-conflict
      - id: detect-private-key
      - id: trailing-whitespace
  - repo: https://github.com/adrienverge/yamllint
    rev: v1.16.0
    hooks:
      - id: yamllint
  - repo: https://github.com/amperser/proselint
    rev: 0.10.2
    hooks:
      - id: proselint
        types: [plain-text]
        exclude: LICENSE
  - repo: https://www.shore.co.il/git/shell-pre-commit/
    rev: v0.6.0
    hooks:
      - id: shell-lint
      - id: shellcheck
  - repo: local
    hooks:
      - id: hadolint
        name: Hadolint Dockerfile linter
        description: Dockerfile linter, validate inline bash, written in Haskell
        minimum_pre_commit_version: '0.18.0'
        language: docker_image
        entry: adarnimrod/docker-pre-commit hadolint
        types: [dockerfile]
      - id: dockerfile-lint
        name: dockerfile-lint
        description: A rule based 'linter' for Dockerfiles
        minimum_pre_commit_version: '0.18.0'
        language: docker_image
        entry: adarnimrod/docker-pre-commit dockerfile-lint
        types: [dockerfile]
